summaryrefslogtreecommitdiff
path: root/sys-kernel/dracut/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-12-18 11:06:49 +0000
committerV3n3RiX <venerix@redcorelinux.org>2020-12-18 11:06:49 +0000
commitab3da91fb6c91a9df52fff8f991570f456fd3c7a (patch)
treee8f3bfa2c6c3d20ec3b9c352c839e23949068b6b /sys-kernel/dracut/files
parent6abbf81ef2f298e3221ff5e67a1f3c5f23958212 (diff)
gentoo resync : 18.12.2020
Diffstat (limited to 'sys-kernel/dracut/files')
-rw-r--r--sys-kernel/dracut/files/048-dracut-install-simplify-ldd-parsing-logic.patch41
-rw-r--r--sys-kernel/dracut/files/049-40network-Don-t-include-40network-by-default.patch34
-rw-r--r--sys-kernel/dracut/files/049-configure-find-cflags-and-libs-for-fts-on-musl.patch97
-rw-r--r--sys-kernel/dracut/files/049-crypt-create-locking-directory-run-cryptsetup.patch32
-rw-r--r--sys-kernel/dracut/files/049-dracut-install-Support-the-compressed-firmware-files.patch63
-rw-r--r--sys-kernel/dracut/files/049-dracut.sh-Fix-udevdir-detection.patch38
-rw-r--r--sys-kernel/dracut/files/049-fs-lib-drop-a-bashism.patch99
-rw-r--r--sys-kernel/dracut/files/049-install-dracut-install.c-install-module-dependencies.patch79
-rw-r--r--sys-kernel/dracut/files/049-install-string_hash_func-should-not-be-fed-with-NULL.patch38
-rw-r--r--sys-kernel/dracut/files/049-move-setting-the-systemdutildir-variable-before-it-s.patch55
-rw-r--r--sys-kernel/dracut/files/049-network-manager-call-the-online-hook-for-connected-d.patch32
-rw-r--r--sys-kernel/dracut/files/049-network-manager-fix-getting-of-ifname-from-the-sysfs.patch37
-rw-r--r--sys-kernel/dracut/files/049-network-manager-remove-useless-use-of-basename.patch26
-rw-r--r--sys-kernel/dracut/files/049-remove-bashism-in-various-boot-scripts.patch89
-rw-r--r--sys-kernel/dracut/files/049-rngd-new-module-running-early-during-boot-to-help-ge.patch88
-rw-r--r--sys-kernel/dracut/files/gentoo-ldconfig-paths.patch (renamed from sys-kernel/dracut/files/050-gentoo-ldconfig-paths.patch)0
16 files changed, 0 insertions, 848 deletions
diff --git a/sys-kernel/dracut/files/048-dracut-install-simplify-ldd-parsing-logic.patch b/sys-kernel/dracut/files/048-dracut-install-simplify-ldd-parsing-logic.patch
deleted file mode 100644
index aa9c543fdce3..000000000000
--- a/sys-kernel/dracut/files/048-dracut-install-simplify-ldd-parsing-logic.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From 6d886bb74d1608e4565d926aa259ea5afc9df7b9 Mon Sep 17 00:00:00 2001
-From: Mike Gilbert <floppym@gentoo.org>
-Date: Thu, 4 Oct 2018 16:45:47 -0400
-Subject: [PATCH] dracut-install: simplify ldd parsing logic
-
-The previous logic would not handle absolute paths on the left side of
-the "=>" properly. For example, on Gentoo ARM64, ldd outputs this:
-
- /lib/ld-linux-aarch64.so.1 => /lib64/ld-linux-aarch64.so.1
-
-At runtime, the kernel tries to load the file from /lib, and fails if we
-only provide it in /lib64.
-
-Instead of looking for the first slash after the "=>", just look for the
-first slash, period. This would fail if we somehow had a relative path
-on the left side (foo/libbar.so), but I'm not aware of any binaries that
-would contain such an entry in DT_NEEDED.
-
-Bug: https://bugs.gentoo.org/667752
-Signed-off-by: Mike Gilbert <floppym@gentoo.org>
----
- install/dracut-install.c | 6 +-----
- 1 file changed, 1 insertion(+), 5 deletions(-)
-
-diff --git a/install/dracut-install.c b/install/dracut-install.c
-index 88bca1d44..5f352b360 100644
---- a/install/dracut-install.c
-+++ b/install/dracut-install.c
-@@ -479,11 +479,7 @@ static int resolve_deps(const char *src)
- if (strstr(buf, destrootdir))
- break;
-
-- p = strstr(buf, "=>");
-- if (!p)
-- p = buf;
--
-- p = strchr(p, '/');
-+ p = strchr(buf, '/');
- if (p) {
- char *q;
-
diff --git a/sys-kernel/dracut/files/049-40network-Don-t-include-40network-by-default.patch b/sys-kernel/dracut/files/049-40network-Don-t-include-40network-by-default.patch
deleted file mode 100644
index 0d537941f1d8..000000000000
--- a/sys-kernel/dracut/files/049-40network-Don-t-include-40network-by-default.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-From 83cbc06ab91288e2d931b4f36935bfdb79a99b0e Mon Sep 17 00:00:00 2001
-From: Kairui Song <kasong@redhat.com>
-Date: Fri, 12 Oct 2018 13:07:13 +0800
-Subject: [PATCH] 40network: Don't include 40network by default
-To: <initramfs@vger.kernel.org>
-
-commit 7347391 ('network-legacy: split off from network module')
-splitted network function to network-legacy and removed check() function
-of 40network. This caused 40network to be included even if network is
-not needed.
-
-Signed-off-by: Kairui Song <kasong@redhat.com>
----
- modules.d/40network/module-setup.sh | 5 +++++
- 1 file changed, 5 insertions(+)
-
-diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
-index 57c0a45e..e8541636 100755
---- a/modules.d/40network/module-setup.sh
-+++ b/modules.d/40network/module-setup.sh
-@@ -1,5 +1,10 @@
- #!/bin/bash
-
-+# called by dracut
-+check() {
-+ return 255
-+}
-+
- # called by dracut
- depends() {
- echo -n "kernel-network-modules "
---
-2.19.2
-
diff --git a/sys-kernel/dracut/files/049-configure-find-cflags-and-libs-for-fts-on-musl.patch b/sys-kernel/dracut/files/049-configure-find-cflags-and-libs-for-fts-on-musl.patch
deleted file mode 100644
index cd74564adb54..000000000000
--- a/sys-kernel/dracut/files/049-configure-find-cflags-and-libs-for-fts-on-musl.patch
+++ /dev/null
@@ -1,97 +0,0 @@
-From 62f27ee6f145b5f8ca571887602cd9b0715b9e9d Mon Sep 17 00:00:00 2001
-From: Doan Tran Cong Danh <congdanhqx@gmail.com>
-Date: Wed, 6 Nov 2019 18:35:12 +0700
-Subject: [PATCH] configure: find cflags and libs for fts on musl
-To: <initramfs@vger.kernel.org>
-
-Signed-off-by: Doan Tran Cong Danh <congdanhqx@gmail.com>
----
- Makefile | 2 +-
- configure | 44 ++++++++++++++++++++++++++++++++++++++++++++
- 2 files changed, 45 insertions(+), 1 deletion(-)
-
-diff --git a/Makefile b/Makefile
-index 31545899..f9b42b96 100644
---- a/Makefile
-+++ b/Makefile
-@@ -62,7 +62,7 @@ install/util.o: install/util.c install/util.h install/macro.h install/log.h
- install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h
-
- install/dracut-install: $(DRACUT_INSTALL_OBJECTS)
-- $(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS)
-+ $(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(FTS_LIBS) $(KMOD_LIBS)
-
- logtee: logtee.c
- $(CC) $(LDFLAGS) -o $@ $<
-diff --git a/configure b/configure
-index b55fb609..3f724ef2 100755
---- a/configure
-+++ b/configure
-@@ -7,6 +7,7 @@ prefix=/usr
-
- enable_documentation=yes
-
-+CC="${CC:-cc}"
- PKG_CONFIG="${PKG_CONFIG:-pkg-config}"
-
- # Little helper function for reading args from the commandline.
-@@ -57,6 +58,48 @@ if ! ${PKG_CONFIG} --exists --print-errors " libkmod >= 23 "; then
- exit 1
- fi
-
-+cat <<EOF >conftest.c
-+#include <fts.h>
-+int main() {
-+ return 0;
-+}
-+EOF
-+
-+${CC} $CFLAGS $LDFLAGS conftest.c >/dev/null 2>&1
-+ret=$?
-+rm -f conftest.c a.out
-+
-+# musl doesn't have fts.h included
-+if test $ret -ne 0; then
-+ echo "dracut needs fts development files." >&2
-+ exit 1
-+fi
-+
-+cat <<EOF >conftest.c
-+#include <fts.h>
-+int main(void) {
-+ fts_open(0, 0, 0);
-+ return 0;
-+}
-+EOF
-+
-+found=no
-+for lib in "-lc" "-lfts"; do
-+ ${CC} $CFLAGS -Wl,$lib $LDFLAGS conftest.c >/dev/null 2>&1
-+ ret=$?
-+ if test $ret -eq 0; then
-+ FTS_LIBS="$lib"
-+ found=yes
-+ break;
-+ fi
-+done
-+rm -f conftest.c a.out
-+
-+if test $found = no; then
-+ echo "dracut couldn't find usable fts library" >&2
-+ exit 1
-+fi
-+
- cat > Makefile.inc.$$ <<EOF
- prefix ?= ${prefix}
- libdir ?= ${libdir:-${prefix}/lib}
-@@ -68,6 +111,7 @@ enable_documentation ?= ${enable_documentation:-yes}
- bindir ?= ${bindir:-${prefix}/bin}
- KMOD_CFLAGS ?= $(${PKG_CONFIG} --cflags " libkmod >= 23 ")
- KMOD_LIBS ?= $(${PKG_CONFIG} --libs " libkmod >= 23 ")
-+FTS_LIBS ?= ${FTS_LIBS}
- EOF
-
- {
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-crypt-create-locking-directory-run-cryptsetup.patch b/sys-kernel/dracut/files/049-crypt-create-locking-directory-run-cryptsetup.patch
deleted file mode 100644
index be964c03746f..000000000000
--- a/sys-kernel/dracut/files/049-crypt-create-locking-directory-run-cryptsetup.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-From f39aa529c59c533ce5e75e31be1b0cce4513b3d7 Mon Sep 17 00:00:00 2001
-From: Jonas Witschel <diabonas@gmx.de>
-Date: Sat, 31 Aug 2019 17:45:11 +0200
-Subject: [PATCH] crypt: create locking directory /run/cryptsetup
-To: <initramfs@vger.kernel.org>
-
-For LUKS2 partitions cryptsetup needs a locking directory. If it does
-not exist, cryptsetup will create it, but produce a warning
-
-WARNING: Locking directory /run/cryptsetup is missing!
-
-in the process that we do not want to see in the dracut output.
----
- modules.d/90crypt/cryptroot-ask.sh | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/modules.d/90crypt/cryptroot-ask.sh b/modules.d/90crypt/cryptroot-ask.sh
-index 33a823c7..e1f17975 100755
---- a/modules.d/90crypt/cryptroot-ask.sh
-+++ b/modules.d/90crypt/cryptroot-ask.sh
-@@ -8,6 +8,8 @@ NEWROOT=${NEWROOT:-"/sysroot"}
-
- . /lib/dracut-lib.sh
-
-+mkdir -m 0700 /run/cryptsetup
-+
- # if device name is /dev/dm-X, convert to /dev/mapper/name
- if [ "${1##/dev/dm-}" != "$1" ]; then
- device="/dev/mapper/$(dmsetup info -c --noheadings -o name "$1")"
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-dracut-install-Support-the-compressed-firmware-files.patch b/sys-kernel/dracut/files/049-dracut-install-Support-the-compressed-firmware-files.patch
deleted file mode 100644
index 85c0ea099726..000000000000
--- a/sys-kernel/dracut/files/049-dracut-install-Support-the-compressed-firmware-files.patch
+++ /dev/null
@@ -1,63 +0,0 @@
-From 999cfa84582ab4ce4cc602242cb71d0af0b7d4ac Mon Sep 17 00:00:00 2001
-From: Takashi Iwai <tiwai@suse.de>
-Date: Thu, 22 Aug 2019 12:37:56 +0200
-Subject: [PATCH] dracut-install: Support the compressed firmware files
- correctly
-To: <initramfs@vger.kernel.org>
-
-The compressed firmware support was supposed to be already
-implemented, but it didn't work as expected in the end, because dracut
-moved to use dracut-install binary. This patch adds the support of
-XZ-compressed firmware installation to dracut-install for fixing the
-missing piece.
-
-At best the firmware files should be uncompressed in initrd, but this
-patch simply copies the compressed file as-is, as a quick workaround.
-
-BugLink: https://bugzilla.suse.com/show_bug.cgi?id=1146769
-Signed-off-by: Takashi Iwai <tiwai@suse.de>
----
- install/dracut-install.c | 17 ++++++++++++++---
- 1 file changed, 14 insertions(+), 3 deletions(-)
-
-diff --git a/install/dracut-install.c b/install/dracut-install.c
-index 9e415b5e..7cda499d 100644
---- a/install/dracut-install.c
-+++ b/install/dracut-install.c
-@@ -1151,6 +1151,8 @@ static int install_firmware(struct kmod_module *mod)
- ret = -1;
- STRV_FOREACH(q, firmwaredirs) {
- _cleanup_free_ char *fwpath = NULL;
-+ _cleanup_free_ char *fwpath_xz = NULL;
-+ const char *fw;
- struct stat sb;
- int r;
-
-@@ -1160,12 +1162,21 @@ static int install_firmware(struct kmod_module *mod)
- exit(EXIT_FAILURE);
- }
-
-+ fw = fwpath;
- if (stat(fwpath, &sb) != 0) {
-- log_debug("stat(%s) != 0", fwpath);
-- continue;
-+ r = asprintf(&fwpath_xz, "%s.xz", fwpath);
-+ if (r < 0) {
-+ log_error("Out of memory!");
-+ exit(EXIT_FAILURE);
-+ }
-+ if (stat(fwpath_xz, &sb) != 0) {
-+ log_debug("stat(%s) != 0", fwpath);
-+ continue;
-+ }
-+ fw = fwpath_xz;
- }
-
-- ret = dracut_install(fwpath, fwpath, false, false, true);
-+ ret = dracut_install(fw, fw, false, false, true);
- if (ret == 0)
- log_debug("dracut_install '%s' OK", fwpath);
- }
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-dracut.sh-Fix-udevdir-detection.patch b/sys-kernel/dracut/files/049-dracut.sh-Fix-udevdir-detection.patch
deleted file mode 100644
index ec7d4802370b..000000000000
--- a/sys-kernel/dracut/files/049-dracut.sh-Fix-udevdir-detection.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-From dddcb809459b7a75906d4b90cf7a5ac291dc74c1 Mon Sep 17 00:00:00 2001
-From: Hongxu Jia <hongxu.jia@windriver.com>
-Date: Wed, 3 Apr 2019 15:24:47 +0800
-Subject: [PATCH] dracut.sh: Fix udevdir detection
-To: <initramfs@vger.kernel.org>
-
-In commit [9d1b81c dracut.sh: improve udevdir and systemdutildir
-fallback logic] , it checked a common binary `collect' to location
-udevdir.
-
-But upstream systemd drop binary `collect' since systemd v240
-[https://github.com/systemd/systemd/commit/a168792c2d95695fd30c0371d4b3890a9df1eafb]
-
-So check binary `ata_id' to instead.
-
-Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
----
- dracut.sh | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/dracut.sh b/dracut.sh
-index 9098571d..fd9903b6 100755
---- a/dracut.sh
-+++ b/dracut.sh
-@@ -1311,8 +1311,8 @@ done
- [[ -d $udevdir ]] \
- || udevdir="$(pkg-config udev --variable=udevdir 2>/dev/null)"
- if ! [[ -d "$udevdir" ]]; then
-- [[ -e /lib/udev/collect ]] && udevdir=/lib/udev
-- [[ -e /usr/lib/udev/collect ]] && udevdir=/usr/lib/udev
-+ [[ -e /lib/udev/ata_id ]] && udevdir=/lib/udev
-+ [[ -e /usr/lib/udev/ata_id ]] && udevdir=/usr/lib/udev
- fi
-
- [[ -d $systemdutildir ]] \
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-fs-lib-drop-a-bashism.patch b/sys-kernel/dracut/files/049-fs-lib-drop-a-bashism.patch
deleted file mode 100644
index a44b8f316517..000000000000
--- a/sys-kernel/dracut/files/049-fs-lib-drop-a-bashism.patch
+++ /dev/null
@@ -1,99 +0,0 @@
-From 43c8c4ce0471abbb8c0fc4b8be2515cebc636030 Mon Sep 17 00:00:00 2001
-From: Lubomir Rintel <lkundrak@v3.sk>
-Date: Fri, 21 Jun 2019 18:39:48 +0200
-Subject: [PATCH] fs-lib: drop a bashism
-To: <initramfs@vger.kernel.org>
-
-Bash 5 apparently longer propagates variable assignments to local variables
-in front of function calls when in POSIX mode:
-
- [lkundrak@demiurge ~]$ cat feh.sh
- print_VAR () {
- echo "$VAR";
- }
-
- testfunc () {
- local VAR="OLD"
- VAR=NEW print_VAR
- }
-
- testfunc
- [lkundrak@demiurge ~]$ bash4 --posix feh.sh
- NEW
- [lkundrak@demiurge ~]$ bash5 --posix feh.sh
- OLD
- [lkundrak@demiurge ~]$ bash5 feh.sh
- NEW
- [lkundrak@demiurge ~]$
-
-It works the way it did in Bash 4 in non-POSIX mode, for external programs,
-or for non-local variables. Don't ask me why -- it's probably some
-compatibility thing for some sad old people.
-
-However, this precisely happens when fsck_single() is calling into the
-fsck_drv_com(), assigned to _drv by fsck_able(). That ruins the
-TEST-70-BONDBRIDGETEAMVLAN test's server and probably more.
-
-Let's pass the fsck driver binary via the function argument instead. It's
-less messy anyway.
----
- modules.d/99fs-lib/fs-lib.sh | 13 +++++++------
- 1 file changed, 7 insertions(+), 6 deletions(-)
-
-diff --git a/modules.d/99fs-lib/fs-lib.sh b/modules.d/99fs-lib/fs-lib.sh
-index d39ca1b7..11e795d9 100755
---- a/modules.d/99fs-lib/fs-lib.sh
-+++ b/modules.d/99fs-lib/fs-lib.sh
-@@ -44,22 +44,22 @@ fsck_able() {
- ;;
- ext?)
- type e2fsck >/dev/null 2>&1 &&
-- _drv="_drv=e2fsck fsck_drv_com" &&
-+ _drv="fsck_drv_com e2fsck" &&
- return 0
- ;;
- f2fs)
- type fsck.f2fs >/dev/null 2>&1 &&
-- _drv="_drv=fsck.f2fs fsck_drv_com" &&
-+ _drv="fsck_drv_com fsck.f2fs" &&
- return 0
- ;;
- jfs)
- type jfs_fsck >/dev/null 2>&1 &&
-- _drv="_drv=jfs_fsck fsck_drv_com" &&
-+ _drv="fsck_drv_com jfs_fsck" &&
- return 0
- ;;
- reiserfs)
- type reiserfsck >/dev/null 2>&1 &&
-- _drv="_drv=reiserfsck fsck_drv_com" &&
-+ _drv="fsck_drv_com reiserfsck" &&
- return 0
- ;;
- btrfs)
-@@ -70,12 +70,12 @@ fsck_able() {
- ;;
- nfs*)
- # nfs can be a nop, returning success
-- _drv="_drv=none :" &&
-+ _drv=":" &&
- return 0
- ;;
- *)
- type fsck >/dev/null 2>&1 &&
-- _drv="_drv=fsck fsck_drv_std" &&
-+ _drv="fsck_drv_std fsck" &&
- return 0
- ;;
- esac
-@@ -97,6 +97,7 @@ fsck_drv_btrfs() {
-
- # common code for checkers that follow usual subset of options and return codes
- fsck_drv_com() {
-+ local _drv="$1"
- local _ret
- local _out
-
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-install-dracut-install.c-install-module-dependencies.patch b/sys-kernel/dracut/files/049-install-dracut-install.c-install-module-dependencies.patch
deleted file mode 100644
index ec3e903765a4..000000000000
--- a/sys-kernel/dracut/files/049-install-dracut-install.c-install-module-dependencies.patch
+++ /dev/null
@@ -1,79 +0,0 @@
-From c38f9e980c1ee03151dd1c6602907c6228b78d30 Mon Sep 17 00:00:00 2001
-From: Harald Hoyer <harald@redhat.com>
-Date: Tue, 4 Dec 2018 10:02:45 +0100
-Subject: [PATCH] install/dracut-install.c: install module dependencies of
- dependencies
-To: <initramfs@vger.kernel.org>
-
----
- install/dracut-install.c | 28 +++++++++++++++++++++++++---
- 1 file changed, 25 insertions(+), 3 deletions(-)
-
-diff --git a/install/dracut-install.c b/install/dracut-install.c
-index 5f352b36..d64de545 100644
---- a/install/dracut-install.c
-+++ b/install/dracut-install.c
-@@ -84,6 +84,11 @@ static bool arg_mod_filter_noname = false;
- static int dracut_install(const char *src, const char *dst, bool isdir, bool resolvedeps, bool hashdst);
-
-
-+static inline void kmod_module_unrefp(struct kmod_module **p) {
-+ if (*p)
-+ kmod_module_unref(*p);
-+}
-+#define _cleanup_kmod_module_unref_ _cleanup_(kmod_module_unrefp)
-
- static inline void kmod_module_unref_listp(struct kmod_list **p) {
- if (*p)
-@@ -1230,28 +1235,45 @@ static bool check_module_path(const char *path)
- static int install_dependent_modules(struct kmod_list *modlist)
- {
- struct kmod_list *itr;
-- struct kmod_module *mod;
- const char *path = NULL;
- const char *name = NULL;
- int ret = 0;
-
- kmod_list_foreach(itr, modlist) {
-+ _cleanup_kmod_module_unref_ struct kmod_module *mod = NULL;
- mod = kmod_module_get_module(itr);
- path = kmod_module_get_path(mod);
-
-+ if (check_hashmap(items_failed, path))
-+ return -1;
-+
-+ if (check_hashmap(items, path)) {
-+ continue;
-+ }
-+
- name = kmod_module_get_name(mod);
-+
- if ((path == NULL) || (arg_mod_filter_noname && (regexec(&mod_filter_noname, name, 0, NULL, 0) == 0))) {
-- kmod_module_unref(mod);
- continue;
- }
-+
- ret = dracut_install(path, &path[kerneldirlen], false, false, true);
- if (ret == 0) {
-+ _cleanup_kmod_module_unref_list_ struct kmod_list *modlist = NULL;
-+ _cleanup_kmod_module_unref_list_ struct kmod_list *modpre = NULL;
-+ _cleanup_kmod_module_unref_list_ struct kmod_list *modpost = NULL;
- log_debug("dracut_install '%s' '%s' OK", path, &path[kerneldirlen]);
- install_firmware(mod);
-+ modlist = kmod_module_get_dependencies(mod);
-+ ret = install_dependent_modules(modlist);
-+ if (ret == 0) {
-+ ret = kmod_module_get_softdeps(mod, &modpre, &modpost);
-+ if (ret == 0)
-+ ret = install_dependent_modules(modpre);
-+ }
- } else {
- log_error("dracut_install '%s' '%s' ERROR", path, &path[kerneldirlen]);
- }
-- kmod_module_unref(mod);
- }
-
- return ret;
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-install-string_hash_func-should-not-be-fed-with-NULL.patch b/sys-kernel/dracut/files/049-install-string_hash_func-should-not-be-fed-with-NULL.patch
deleted file mode 100644
index 80f0c2b0186d..000000000000
--- a/sys-kernel/dracut/files/049-install-string_hash_func-should-not-be-fed-with-NULL.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-From fc141f22869bad2e5409d1cc555c1a42ea738343 Mon Sep 17 00:00:00 2001
-From: Lukas Nykryn <lnykryn@redhat.com>
-Date: Thu, 14 Feb 2019 20:18:04 +0100
-Subject: [PATCH] install: string_hash_func should not be fed with NULL
-To: <initramfs@vger.kernel.org>
-
-If kmod_module_get_path returns NULL, we should skip that entry,
-the hash function does not like NULL pointers.
----
- install/dracut-install.c | 5 ++++-
- 1 file changed, 4 insertions(+), 1 deletion(-)
-
-diff --git a/install/dracut-install.c b/install/dracut-install.c
-index d64de545..9e415b5e 100644
---- a/install/dracut-install.c
-+++ b/install/dracut-install.c
-@@ -1244,6 +1244,9 @@ static int install_dependent_modules(struct kmod_list *modlist)
- mod = kmod_module_get_module(itr);
- path = kmod_module_get_path(mod);
-
-+ if (path == NULL)
-+ continue;
-+
- if (check_hashmap(items_failed, path))
- return -1;
-
-@@ -1253,7 +1256,7 @@ static int install_dependent_modules(struct kmod_list *modlist)
-
- name = kmod_module_get_name(mod);
-
-- if ((path == NULL) || (arg_mod_filter_noname && (regexec(&mod_filter_noname, name, 0, NULL, 0) == 0))) {
-+ if (arg_mod_filter_noname && (regexec(&mod_filter_noname, name, 0, NULL, 0) == 0)) {
- continue;
- }
-
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-move-setting-the-systemdutildir-variable-before-it-s.patch b/sys-kernel/dracut/files/049-move-setting-the-systemdutildir-variable-before-it-s.patch
deleted file mode 100644
index 585f47add024..000000000000
--- a/sys-kernel/dracut/files/049-move-setting-the-systemdutildir-variable-before-it-s.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-From c8b35bf96af1859c0c254db34a16b9cc5a2aa46b Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?=D0=94=D0=B0=D0=BC=D1=98=D0=B0=D0=BD=20=D0=93=D0=B5=D0=BE?=
- =?UTF-8?q?=D1=80=D0=B3=D0=B8=D0=B5=D0=B2=D1=81=D0=BA=D0=B8?=
- <gdamjan@gmail.com>
-Date: Mon, 27 May 2019 18:22:14 +0200
-Subject: [PATCH] move setting the "systemdutildir" variable before it's used
-To: <initramfs@vger.kernel.org>
-
-on line 1086 it's used to check for the uefi_stub:
-"${systemdutildir}/boot/efi/linux${EFI_MACHINE_TYPE_NAME}.efi.stub"
-
-so it needs to be defined before that
----
- dracut.sh | 18 ++++++++++--------
- 1 file changed, 10 insertions(+), 8 deletions(-)
-
-diff --git a/dracut.sh b/dracut.sh
-index 183b892f..a3618f89 100755
---- a/dracut.sh
-+++ b/dracut.sh
-@@ -1009,6 +1009,16 @@ esac
-
- abs_outfile=$(readlink -f "$outfile") && outfile="$abs_outfile"
-
-+
-+[[ -d $systemdutildir ]] \
-+ || systemdutildir=$(pkg-config systemd --variable=systemdutildir 2>/dev/null)
-+
-+if ! [[ -d "$systemdutildir" ]]; then
-+ [[ -e /lib/systemd/systemd-udevd ]] && systemdutildir=/lib/systemd
-+ [[ -e /usr/lib/systemd/systemd-udevd ]] && systemdutildir=/usr/lib/systemd
-+fi
-+
-+
- if [[ $no_kernel != yes ]] && [[ -d $srcmods ]]; then
- if ! [[ -f $srcmods/modules.dep ]]; then
- if [[ -n "$(find "$srcmods" -name '*.ko*')" ]]; then
-@@ -1325,14 +1335,6 @@ if ! [[ -d "$udevdir" ]]; then
- [[ -e /usr/lib/udev/ata_id ]] && udevdir=/usr/lib/udev
- fi
-
--[[ -d $systemdutildir ]] \
-- || systemdutildir=$(pkg-config systemd --variable=systemdutildir 2>/dev/null)
--
--if ! [[ -d "$systemdutildir" ]]; then
-- [[ -e /lib/systemd/systemd-udevd ]] && systemdutildir=/lib/systemd
-- [[ -e /usr/lib/systemd/systemd-udevd ]] && systemdutildir=/usr/lib/systemd
--fi
--
- [[ -d $systemdsystemunitdir ]] \
- || systemdsystemunitdir=$(pkg-config systemd --variable=systemdsystemunitdir 2>/dev/null)
-
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-network-manager-call-the-online-hook-for-connected-d.patch b/sys-kernel/dracut/files/049-network-manager-call-the-online-hook-for-connected-d.patch
deleted file mode 100644
index 7f5fc6a0385c..000000000000
--- a/sys-kernel/dracut/files/049-network-manager-call-the-online-hook-for-connected-d.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-From 79a17b0112995eb60c85c64d15070c52f213b28d Mon Sep 17 00:00:00 2001
-From: Lubomir Rintel <lkundrak@v3.sk>
-Date: Tue, 27 Nov 2018 15:30:48 +0100
-Subject: [PATCH] network-manager: call the online hook for connected devices
-To: <initramfs@vger.kernel.org>
-
-Look for "connection-uuid" instead of "managed" to determine the devices
-that are actually activated with a connection and call the online hook.
-
-This fixes the anaconda-net root mount, which utilizes the online hook.
----
- modules.d/35network-manager/nm-run.sh | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/modules.d/35network-manager/nm-run.sh b/modules.d/35network-manager/nm-run.sh
-index f6defa99..0f943631 100755
---- a/modules.d/35network-manager/nm-run.sh
-+++ b/modules.d/35network-manager/nm-run.sh
-@@ -9,8 +9,9 @@ fi
- for _i in /sys/class/net/*/
- do
- state=/run/NetworkManager/devices/$(cat $_i/ifindex)
-- grep -q managed=true $state 2>/dev/null || continue
-+ grep -q connection-uuid= $state 2>/dev/null || continue
- ifname=$(basename $_i)
- sed -n 's/root-path/new_root_path/p' <$state >/tmp/dhclient.$ifname.dhcpopts
-+ source_hook initqueue/online $ifname
- /sbin/netroot $ifname
- done
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-network-manager-fix-getting-of-ifname-from-the-sysfs.patch b/sys-kernel/dracut/files/049-network-manager-fix-getting-of-ifname-from-the-sysfs.patch
deleted file mode 100644
index 430b93f93de5..000000000000
--- a/sys-kernel/dracut/files/049-network-manager-fix-getting-of-ifname-from-the-sysfs.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From 687e17aa7f2f40d21717be9a04302c749e139d4a Mon Sep 17 00:00:00 2001
-From: Lubomir Rintel <lkundrak@v3.sk>
-Date: Wed, 30 Oct 2019 19:25:51 +0100
-Subject: [PATCH] network-manager: fix getting of ifname from the sysfs path
-To: <initramfs@vger.kernel.org>
-
-commit 5e0f8c8a4ced ('network-manager: remove useless use of basename')
-somewhat carelessly didn't take into account that $_i has a slash at
-the end which made the result of the ## substitution be just an empty
-string.
-
-The slash was put to the end of /sys/class/net/*/ to make sure we're only
-iterating directories, but it's not strictly necessary. In an unlikely case
-something else than a directory appears in /sys/class/net/, we'll already deal
-with it gracefully. Remove it.
-
-This fixes the TEST-30-ISCSI test.
----
- modules.d/35network-manager/nm-run.sh | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/modules.d/35network-manager/nm-run.sh b/modules.d/35network-manager/nm-run.sh
-index a539d5b2..b33e0992 100755
---- a/modules.d/35network-manager/nm-run.sh
-+++ b/modules.d/35network-manager/nm-run.sh
-@@ -6,7 +6,7 @@ else
- /usr/sbin/NetworkManager --configure-and-quit=initrd --no-daemon
- fi
-
--for _i in /sys/class/net/*/
-+for _i in /sys/class/net/*
- do
- state=/run/NetworkManager/devices/$(cat $_i/ifindex)
- grep -q connection-uuid= $state 2>/dev/null || continue
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-network-manager-remove-useless-use-of-basename.patch b/sys-kernel/dracut/files/049-network-manager-remove-useless-use-of-basename.patch
deleted file mode 100644
index 1650c9a767e3..000000000000
--- a/sys-kernel/dracut/files/049-network-manager-remove-useless-use-of-basename.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-From 5e0f8c8a4ced36268d0077acafa1db2402776fa6 Mon Sep 17 00:00:00 2001
-From: Lubomir Rintel <lkundrak@v3.sk>
-Date: Mon, 17 Jun 2019 10:07:38 +0200
-Subject: [PATCH] network-manager: remove useless use of basename
-To: <initramfs@vger.kernel.org>
-
----
- modules.d/35network-manager/nm-run.sh | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/modules.d/35network-manager/nm-run.sh b/modules.d/35network-manager/nm-run.sh
-index 0f943631..5f4b38ca 100755
---- a/modules.d/35network-manager/nm-run.sh
-+++ b/modules.d/35network-manager/nm-run.sh
-@@ -10,7 +10,7 @@ for _i in /sys/class/net/*/
- do
- state=/run/NetworkManager/devices/$(cat $_i/ifindex)
- grep -q connection-uuid= $state 2>/dev/null || continue
-- ifname=$(basename $_i)
-+ ifname=${_i##*/}
- sed -n 's/root-path/new_root_path/p' <$state >/tmp/dhclient.$ifname.dhcpopts
- source_hook initqueue/online $ifname
- /sbin/netroot $ifname
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/049-remove-bashism-in-various-boot-scripts.patch b/sys-kernel/dracut/files/049-remove-bashism-in-various-boot-scripts.patch
deleted file mode 100644
index 93e3ed5bed87..000000000000
--- a/sys-kernel/dracut/files/049-remove-bashism-in-various-boot-scripts.patch
+++ /dev/null
@@ -1,89 +0,0 @@
-From 09d2a1605b1b2663e3c25f1d9950b23a2bf4ad89 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
- <congdanhqx@gmail.com>
-Date: Sun, 6 Jan 2019 11:48:02 +0700
-Subject: [PATCH] remove bashism in various boot scripts
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-To: <initramfs@vger.kernel.org>
-
-When using dash as initramfs shell, the boot process is broken.
-
-Signed-off-by: Đoàn Trần Công Danh <congdanhqx@gmail.com>
----
- modules.d/90crypt/crypt-lib.sh | 2 +-
- modules.d/90crypt/parse-keydev.sh | 2 +-
- modules.d/91crypt-gpg/crypt-gpg-lib.sh | 2 +-
- modules.d/95dcssblk/parse-dcssblk.sh | 2 +-
- modules.d/98syslog/rsyslogd-start.sh | 2 +-
- 5 files changed, 5 insertions(+), 5 deletions(-)
-
-diff --git a/modules.d/90crypt/crypt-lib.sh b/modules.d/90crypt/crypt-lib.sh
-index bbf485e0..688ea251 100755
---- a/modules.d/90crypt/crypt-lib.sh
-+++ b/modules.d/90crypt/crypt-lib.sh
-@@ -191,7 +191,7 @@ readkey() {
- local device="$3"
-
- # No mounting needed if the keyfile resides inside the initrd
-- if [ "/" == "$keydev" ]; then
-+ if [ "/" = "$keydev" ]; then
- local mntp=/
- else
- # This creates a unique single mountpoint for *, or several for explicitly
-diff --git a/modules.d/90crypt/parse-keydev.sh b/modules.d/90crypt/parse-keydev.sh
-index a45b2fb5..04813414 100755
---- a/modules.d/90crypt/parse-keydev.sh
-+++ b/modules.d/90crypt/parse-keydev.sh
-@@ -18,7 +18,7 @@ if getargbool 1 rd.luks -n rd_NO_LUKS && \
- fi
-
- # A keydev of '/' is treated as the initrd itself
-- if [ "/" == "$keydev" ]; then
-+ if [ "/" = "$keydev" ]; then
- [ -z "$luksdev" ] && luksdev='*'
- echo "$luksdev:$keydev:$keypath" >> /tmp/luks.keys
- continue
-diff --git a/modules.d/91crypt-gpg/crypt-gpg-lib.sh b/modules.d/91crypt-gpg/crypt-gpg-lib.sh
-index b85ed2b8..c051b430 100755
---- a/modules.d/91crypt-gpg/crypt-gpg-lib.sh
-+++ b/modules.d/91crypt-gpg/crypt-gpg-lib.sh
-@@ -53,7 +53,7 @@ gpg_decrypt() {
- --tries 3 --tty-echo-off
-
- # Clean up the smartcard gpg-agent
-- if [ "${useSmartcard}" == "1" ]; then
-+ if [ "${useSmartcard}" = "1" ]; then
- GNUPGHOME="$gpghome" gpg-connect-agent 1>/dev/null killagent /bye
- fi
-
-diff --git a/modules.d/95dcssblk/parse-dcssblk.sh b/modules.d/95dcssblk/parse-dcssblk.sh
-index 8f174408..27ac1d8d 100644
---- a/modules.d/95dcssblk/parse-dcssblk.sh
-+++ b/modules.d/95dcssblk/parse-dcssblk.sh
-@@ -2,7 +2,7 @@
- # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
- # ex: ts=8 sw=4 sts=4 et filetype=sh
- dcssblk_arg=$(getarg rd.dcssblk=)
--if [ $? == 0 ];then
-+if [ $? = 0 ];then
- info "Loading dcssblk segments=$dcssblk_arg"
- modprobe dcssblk segments=$dcssblk_arg
- fi
-diff --git a/modules.d/98syslog/rsyslogd-start.sh b/modules.d/98syslog/rsyslogd-start.sh
-index c64f2121..86ad50ea 100755
---- a/modules.d/98syslog/rsyslogd-start.sh
-+++ b/modules.d/98syslog/rsyslogd-start.sh
-@@ -38,7 +38,7 @@ rsyslog_config() {
- [ -f /tmp/syslog.conf ] && read conf < /tmp/syslog.conf
- [ -z "$conf" ] && conf="/etc/rsyslog.conf" && echo "$conf" > /tmp/syslog.conf
-
--if [ $type == "rsyslogd" ]; then
-+if [ $type = "rsyslogd" ]; then
- template=/etc/templates/rsyslog.conf
- if [ -n "$server" ]; then
- rsyslog_config "$server" "$template" "$filters" > $conf
---
-2.19.2
-
diff --git a/sys-kernel/dracut/files/049-rngd-new-module-running-early-during-boot-to-help-ge.patch b/sys-kernel/dracut/files/049-rngd-new-module-running-early-during-boot-to-help-ge.patch
deleted file mode 100644
index 5ea342df78a4..000000000000
--- a/sys-kernel/dracut/files/049-rngd-new-module-running-early-during-boot-to-help-ge.patch
+++ /dev/null
@@ -1,88 +0,0 @@
-From adee5b97bc5418b6e357342bb3be20568668aa55 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Renaud=20M=C3=A9trich?= <rmetrich@redhat.com>
-Date: Thu, 11 Jul 2019 10:50:40 +0200
-Subject: [PATCH] rngd: new module running early during boot to help generating
- entropy when system's default entropy sources are poor (e.g. use of SSD disks
- or UEFI RNG not available)
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-To: <initramfs@vger.kernel.org>
-
-On systems with low entropy at boot, the boot can take up to several
-hours, specially when NBDE is used (e.g. clevis) which makes use of
-the random number generator.
-
-Enabling rngd service at boot early, because dracut-initqueue runs,
-enables to initialize the random number generator in a couple of seconds
-instead of minutes or hours.
-
-Signed-off-by: Renaud Métrich <rmetrich@redhat.com>
----
- modules.d/06rngd/module-setup.sh | 39 ++++++++++++++++++++++++++++++++
- modules.d/06rngd/rngd.service | 7 ++++++
- 2 files changed, 46 insertions(+)
- create mode 100644 modules.d/06rngd/module-setup.sh
- create mode 100644 modules.d/06rngd/rngd.service
-
-diff --git a/modules.d/06rngd/module-setup.sh b/modules.d/06rngd/module-setup.sh
-new file mode 100644
-index 00000000..43d5c2d3
---- /dev/null
-+++ b/modules.d/06rngd/module-setup.sh
-@@ -0,0 +1,39 @@
-+#!/bin/bash
-+# vim: set tabstop=8 shiftwidth=4 softtabstop=4 expandtab smarttab colorcolumn=80:
-+#
-+# Copyright (c) 2019 Red Hat, Inc.
-+# Author: Renaud Métrich <rmetrich@redhat.com>
-+#
-+# This program is free software: you can redistribute it and/or modify
-+# it under the terms of the GNU General Public License as published by
-+# the Free Software Foundation, either version 3 of the License, or
-+# (at your option) any later version.
-+#
-+# This program is distributed in the hope that it will be useful,
-+# but WITHOUT ANY WARRANTY; without even the implied warranty of
-+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+# GNU General Public License for more details.
-+#
-+# You should have received a copy of the GNU General Public License
-+# along with this program. If not, see <http://www.gnu.org/licenses/>.
-+#
-+
-+depends() {
-+ echo systemd
-+ return 0
-+}
-+
-+check() {
-+ # if there's no rngd binary, no go.
-+ require_binaries rngd || return 1
-+
-+ return 0
-+}
-+
-+install() {
-+ inst rngd
-+ inst_simple "${moddir}/rngd.service" "${systemdsystemunitdir}/rngd.service"
-+ mkdir -p "${initdir}${systemdsystemunitdir}/sysinit.target.wants"
-+ ln -rfs "${initdir}${systemdsystemunitdir}/rngd.service" \
-+ "${initdir}${systemdsystemunitdir}/sysinit.target.wants/rngd.service"
-+}
-diff --git a/modules.d/06rngd/rngd.service b/modules.d/06rngd/rngd.service
-new file mode 100644
-index 00000000..570fbedb
---- /dev/null
-+++ b/modules.d/06rngd/rngd.service
-@@ -0,0 +1,7 @@
-+[Unit]
-+Description=Hardware RNG Entropy Gatherer Daemon
-+DefaultDependencies=no
-+Before=systemd-udevd.service
-+
-+[Service]
-+ExecStart=/usr/sbin/rngd -f
---
-2.24.1
-
diff --git a/sys-kernel/dracut/files/050-gentoo-ldconfig-paths.patch b/sys-kernel/dracut/files/gentoo-ldconfig-paths.patch
index 15522ef4fc1e..15522ef4fc1e 100644
--- a/sys-kernel/dracut/files/050-gentoo-ldconfig-paths.patch
+++ b/sys-kernel/dracut/files/gentoo-ldconfig-paths.patch